Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Capabilities Class Reference

This class implement the ACE Capabilities. More...

`#include <Capabilities.h>`

Collaboration diagram for ACE_Capabilities:

[legend]
List of all members.

## Public Types
typedef ACE_Hash_Map_Manager_Ex< ACE_TString, ACE_CapEntry *, ACE_Hash< ACE_TString >, ACE_Equal_To< ACE_TString >, ACE_Null_Mutex > | MAP
## Public Methods
| ACE_Capabilities (void)
| The Constructor.
| ~ACE_Capabilities (void)
| The Destructor.
int | getval (const ACE_TCHAR *ent, ACE_TString &val)
| Get a string entry.
int | getval (const ACE_TCHAR *ent, int &val)
| Get an integer entry.
int | getent (const ACE_TCHAR *fname, const ACE_TCHAR *name)
## Protected Methods
const ACE_TCHAR * | parse (const ACE_TCHAR *buf, int &cap)
| Parse an integer property.
const ACE_TCHAR * | parse (const ACE_TCHAR *buf, ACE_TString &cap)
| Parse a string property.
int | fillent (const ACE_TCHAR *ent)
| Fill the ACE_Capabilities with description in ent.
int | parseent (const ACE_TCHAR *name, ACE_TCHAR *line)
| Parse a cap entry.
int | getline (FILE *fp, ACE_TString &line)
| Get a line from FILE input stream.
int | is_entry (const ACE_TCHAR *name, const ACE_TCHAR *line)
| Is a valid entry.
void | resetcaps (void)
| Reset the set of capabilities.
## Private Attributes
MAP | caps_
| This is the set of ACE_CapEntry.

## Detailed Description

This class implement the ACE Capabilities.

This is a container class for ACE Capabilities values. Currently exist three different capability values: <ACE_IntCapEntry> (integer), <ACE_BoolCapEntry> (bool) and <ACE_StringCapEntry> (String). An <ACE_Capabilities> is a unordered set of pair = (<String>, <ACE_CapEntry> *). Where the first component is the name of capability and the second component is a pointer to the capability value container. A <FILE> is a container for <ACE_Capabilities>, the <ACE_Capabilities> has a name in the file, as a termcap file.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<ACE_TString, ACE_CapEntry *, ACE_Hash<ACE_TString>, ACE_Equal_To<ACE_TString>, ACE_Null_Mutex> ACE_Capabilities::MAP

## Constructor & Destructor Documentation

ACE_Capabilities::ACE_Capabilities | ( | void |  | ) |

| The Constructor.

ACE_Capabilities::~ACE_Capabilities | ( | void |  | ) |

| The Destructor.

## Member Function Documentation

int ACE_Capabilities::fillent | ( | const ACE_TCHAR * | ent | ) | `[protected]`

| Fill the ACE_Capabilities with description in ent.

int ACE_Capabilities::getent | ( | const ACE_TCHAR * | fname,
|  | const ACE_TCHAR * | name
| ) |

| Get the ACE_Capabilities name from FILE fname and load the associated capabitily entries in map.

int ACE_Capabilities::getline | ( | FILE * | fp,
|  | ACE_TString & | line
| ) | `[protected]`

| Get a line from FILE input stream.

int ACE_Capabilities::getval | ( | const ACE_TCHAR * | ent,
|  | int & | val
| ) |

| Get an integer entry.

int ACE_Capabilities::getval | ( | const ACE_TCHAR * | ent,
|  | ACE_TString & | val
| ) |

| Get a string entry.

int ACE_Capabilities::is_entry | ( | const ACE_TCHAR * | name,
|  | const ACE_TCHAR * | line
| ) | `[protected]`

| Is a valid entry.

const ACE_TCHAR * ACE_Capabilities::parse | ( | const ACE_TCHAR * | buf,
|  | ACE_TString & | cap
| ) | `[protected]`

| Parse a string property.

const ACE_TCHAR * ACE_Capabilities::parse | ( | const ACE_TCHAR * | buf,
|  | int & | cap
| ) | `[protected]`

| Parse an integer property.

int ACE_Capabilities::parseent | ( | const ACE_TCHAR * | name,
|  | ACE_TCHAR * | line
| ) | `[protected]`

| Parse a cap entry.

void ACE_Capabilities::resetcaps | ( | void |  | ) | `[protected]`

| Reset the set of capabilities.

## Member Data Documentation

MAP ACE_Capabilities::caps_`[private]`

| This is the set of ACE_CapEntry.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Capabilities.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Capabilities.cpp